Loading...
Searching...
No Matches
QGpgME::RefreshKeysJob Class Referenceabstract

An abstract base class for asynchronous key refreshers. More...

`#include <refreshkeysjob.h>`

Inheritance diagram for QGpgME::RefreshKeysJob:
[legend]
Collaboration diagram for QGpgME::RefreshKeysJob:
[legend]

## Signals

void | result (const GpgME::Error &result)
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const QStringList &patterns)=0
virtual GpgME::Error | start (const std::vector< GpgME::Key > &keys)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| RefreshKeysJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class for asynchronous key refreshers.

To use a RefreshKeysJob, first obtain an instance from the CryptoBackend implementation, connect the progress() and result() signals to suitable slots and then start the key refresh with a call to start(). This call might fail, in which case the RefreshKeysJob instance will have scheduled its own destruction with a call to QObject::deleteLater().

After result() is emitted, the job will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## start() [1/2]

virtual GpgME::Error QGpgME::RefreshKeysJob::start | ( | const QStringList & | patterns | ) |

pure virtual

Starts the refresh operation. pattern is a list of patterns used to restrict the list of keys returned. Empty patterns are ignored. If pattern is empty or contains only empty strings, all keys are refreshed.

Only implemented for S/MIME.

Implemented in QGpgME::QGpgMERefreshSMIMEKeysJob.

## start() [2/2]

virtual GpgME::Error QGpgME::RefreshKeysJob::start | ( | const std::vector< GpgME::Key > & | keys | ) |

pure virtual

Starts a refresh of the keys.

Implemented in QGpgME::QGpgMERefreshSMIMEKeysJob.

The documentation for this class was generated from the following file:

- refreshkeysjob.h